/*
 * BEGIN FLOCK GPL
 *
 * Copyright Flock Inc. 2005-2009
 * http://flock.com
 *
 * This file may be used under the terms of the
 * GNU General Public License Version 2 or later (the "GPL"),
 * http://www.gnu.org/licenses/gpl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * END FLOCK GPL
 */

#include "nsISupports.idl"

#include "flockIFeedFolderItem.idl"

interface nsISimpleEnumerator;
interface nsIURI;

interface flockIFeedItem;

[scriptable, uuid(b31383e6-8e3b-4d32-b6e1-8b92064ff547)]
interface flockIFeed : flockIFeedFolderItem {
  nsIURI getURL();
  nsIURI getLink();

  AString getFormat();
  long getType();

  AString getSubtitle();

  nsIURI getImage();
  nsIURI getFavicon();

  AString getAuthor();

  PRTime getPubDate();

  nsIURI getFinalURL();

  AString getRealTitle();

  flockIFeedItem getItem(in PRUint32 aIndex);
  nsISimpleEnumerator getItems();

  nsISimpleEnumerator getUnreadItems();
  nsISimpleEnumerator getFlaggedItems();
};
